Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering
Imports DevExpress.ExpressApp

Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Xpo.Metadata
Imports System.Drawing
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class DocumentAttachments
    Inherits FileAttachmentBase
    Private _DocumentAttachmentsType As DocumentAttachmentsType
    Private _Immovables As Immovables
    Private _ImmovablesGroups As ImmovablesGroups
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property DocumentAttachementType() As DocumentAttachmentsType
        Get
            Return _DocumentAttachmentsType
        End Get
        Set(ByVal value As DocumentAttachmentsType)
            SetPropertyValue("DocumentAttachmentsType", _DocumentAttachmentsType, value)
        End Set
    End Property
    <Association("Immovables-DocumentAttachments", GetType(Immovables))> _
    Property Immovables() As Immovables
        Get
            Return _Immovables
        End Get
        Set(ByVal value As Immovables)
            SetPropertyValue("Immovables", _Immovables, value)
        End Set
    End Property
    <Association("ImmovablesGroups-DocumentAttachments", GetType(ImmovablesGroups))> _
    Property ImmovablesGroups() As ImmovablesGroups
        Get
            Return _ImmovablesGroups
        End Get
        Set(ByVal value As ImmovablesGroups)
            SetPropertyValue("ImmovablesGroups", _ImmovablesGroups, value)
        End Set
    End Property
End Class ' Csatolt dokumentumok
